<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('permissions')->insert([
            [
                'permission_name' => 'READ_GENRES',
                'permission_description' => 'Read Genres',
            ],
            [
                'permission_name' => 'CREATE_GENRES',
                'permission_description' => 'Create Genres',
            ],
            [
                'permission_name' => 'UPDATE_GENRES',
                'permission_description' => 'Update Genres',
            ],
            [
                'permission_name' => 'DELETE_GENRES',
                'permission_description' => 'Delete Genres',
            ],

            [
                'permission_name' => 'READ_MOVIES',
                'permission_description' => 'Read Movies',
            ],
            [
                'permission_name' => 'CREATE_MOVIES',
                'permission_description' => 'Create Movies',
            ],
            [
                'permission_name' => 'UPDATE_MOVIES',
                'permission_description' => 'Update Movies',
            ],
            [
                'permission_name' => 'DELETE_MOVIES',
                'permission_description' => 'Delete Movies',
            ],

            [
                'permission_name' => 'READ_SHOWINGS',
                'permission_description' => 'Read Showings',
            ],
            [
                'permission_name' => 'CREATE_SHOWINGS',
                'permission_description' => 'Create Showings',
            ],
            [
                'permission_name' => 'UPDATE_SHOWINGS',
                'permission_description' => 'Update Showings',
            ],
            [
                'permission_name' => 'DELETE_SHOWINGS',
                'permission_description' => 'Delete Showings',
            ],

            [
                'permission_name' => 'READ_USERS',
                'permission_description' => 'Read Users',
            ],
            [
                'permission_name' => 'CREATE_USERS',
                'permission_description' => 'Create Users',
            ],
            [
                'permission_name' => 'UPDATE_USERS',
                'permission_description' => 'Update Users',
            ],
            [
                'permission_name' => 'DELETE_USERS',
                'permission_description' => 'Delete Users',
            ],

            [
                'permission_name' => 'READ_PERMISSIONS',
                'permission_description' => 'Read Permissions',
            ],
            [
                'permission_name' => 'CREATE_PERMISSIONS',
                'permission_description' => 'Create Permissions',
            ],
            [
                'permission_name' => 'UPDATE_PERMISSIONS',
                'permission_description' => 'Update Permissions',
            ],
            [
                'permission_name' => 'DELETE_PERMISSIONS',
                'permission_description' => 'Delete Permissions',
            ],
        ]);
    }
}
